ddot_result< tensor_basic< A1 >, tensor4_basic< A2 > >

## Public Types

typedef promote< typename float_traits< A1 >::type, typename float_traits< A2 >::type >::type | S
typedef tensor_basic< S > | type

## Detailed Description

### template<class A1, class A2>
struct rheolef::details::ddot_result< tensor_basic< A1 >, tensor4_basic< A2 > >

Definition at line 1538 of file expression.h.

## Member Typedef Documentation

## S

typedef promote<typename float_traits<A1>::type, typename float_traits<A2>::type>::type S

Definition at line 1539 of file expression.h.

## type

typedef tensor_basic<S> type

Definition at line 1540 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/expression.h